gr::gsm::controlled_fractional_resampler_cc_impl Class Reference

`#include <controlled_fractional_resampler_cc_impl.h>`

Inheritance diagram for gr::gsm::controlled_fractional_resampler_cc_impl:

## Public Member Functions

| controlled_fractional_resampler_cc_impl (float phase_shift, float resamp_ratio)
| ~controlled_fractional_resampler_cc_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
float | mu () const
float | resamp_ratio () const
void | set_mu (float mu)
void | set_resamp_ratio (float resamp_ratio)

## Additional Inherited Members

Public Types inherited from gr::gsm::controlled_fractional_resampler_cc
typedef std::shared_ptr< controlled_fractional_resampler_cc > | sptr
Static Public Member Functions inherited from gr::gsm::controlled_fractional_resampler_cc
static sptr | make (float phase_shift, float resamp_ratio)
| Return a shared_ptr to a new instance of grgsm::controlled_fractional_resampler_cc.

## Constructor & Destructor Documentation

## controlled_fractional_resampler_cc_impl()

gr::gsm::controlled_fractional_resampler_cc_impl::controlled_fractional_resampler_cc_impl | ( | float | phase_shift,
|  | float | resamp_ratio )

References resamp_ratio().

## ~controlled_fractional_resampler_cc_impl()

gr::gsm::controlled_fractional_resampler_cc_impl::~controlled_fractional_resampler_cc_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::gsm::controlled_fractional_resampler_cc_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::gsm::controlled_fractional_resampler_cc_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## mu()

float gr::gsm::controlled_fractional_resampler_cc_impl::mu | ( |  | ) | const

virtual

Implements gr::gsm::controlled_fractional_resampler_cc.

Referenced by set_mu().

## resamp_ratio()

float gr::gsm::controlled_fractional_resampler_cc_impl::resamp_ratio | ( |  | ) | const

virtual

Implements gr::gsm::controlled_fractional_resampler_cc.

Referenced by controlled_fractional_resampler_cc_impl(), and set_resamp_ratio().

## set_mu()

void gr::gsm::controlled_fractional_resampler_cc_impl::set_mu | ( | float | mu | ) |

virtual

Implements gr::gsm::controlled_fractional_resampler_cc.

References mu().

## set_resamp_ratio()

void gr::gsm::controlled_fractional_resampler_cc_impl::set_resamp_ratio | ( | float | resamp_ratio | ) |

virtual

Implements gr::gsm::controlled_fractional_resampler_cc.

References resamp_ratio().

The documentation for this class was generated from the following file:

- controlled_fractional_resampler_cc_impl.h